itpp::Extended_Golay Class Reference
Communications Module » Forward Error Correcting Codes

Extended Golay code (24,12,8). More...

`#include <itpp/comm/egolay.h>`

Inheritance diagram for itpp::Extended_Golay:

## Public Member Functions

| Extended_Golay ()
| Constructor.
virtual | ~Extended_Golay ()
| Destructor.
virtual void | encode (const bvec &uncoded_bits, bvec &coded_bits)
| Encoder. Will truncate some bits if not length = `integer` * 12.
virtual bvec | encode (const bvec &uncoded_bits)
| Encoder. Will truncate some bits if not length = `integer` * 12.
virtual void | decode (const bvec &coded_bits, bvec &decoded_bits)
| Decoder. Will truncate some bits if not length = `integer` * 24.
virtual bvec | decode (const bvec &coded_bits)
| Decoder. Will truncate some bits if not length = `integer` * 24.
virtual void | decode (const vec &received_signal, bvec &output)
| Decode a vec of received data.
virtual bvec | decode (const vec &received_signal)
| Decode a vec of received data.
virtual double | get_rate () const
| Get the code rate.
bmat | get_G () const
| Gets the generator matrix for the code (also the parity check matrix)

## Detailed Description

Extended Golay code (24,12,8).

Author
  Tony Ottosson

The code is given in systematic form with the information bits first, followed by the parity check bits. The decoder uses the arithmetic decoding algorithm that is for example described in Wicker "Error Control Systems for Digital Communication and Storage", Prentice Hall, 1995 (page 143).

Definition at line 51 of file egolay.h.

The documentation for this class was generated from the following files:

- itpp/comm/egolay.h
- itpp/comm/egolay.cpp

Generated on Thu Aug 20 2015 21:02:53 for IT++ by Doxygen 1.8.9.1